Realtime TTS-2 is live. Built for realtime conversation that feels human. Read the Realtime TTS-2 announcement

Responses

List input items

List the input items of a stored response

GET/v1/responses/{response_id}/input_items

Works for responses stored by OpenAI models (store: true or background: true), for the workspace that created them. See stored responses.

Authorizations

Authorizationstringrequired

Your authentication credentials. For Basic authentication, please populate Basic $INWORLD_API_KEY.

Please make sure your API Key has write permissions for the Router API in order to create, update, and delete routers. You can create a key in one command with the Inworld CLI: inworld workspace add-key.

Path Parameters

response_idstringrequired

The id of a response stored by an OpenAI model (store: true or background: true).

Query Parameters

limitintegerdefault: 20

Number of items to return, 1 to 100.

orderenum<string>default: "desc"

Sort order.

Available options:ascdesc

afterstring

An item id: list the items after it, for pagination.

includestring[]

Additional fields to include, as in OpenAI's API. Repeatable (include or include[]).

Response

200 - application/json

objectstring

dataobject[]

Input items, as in OpenAI's API.

first_idstring

last_idstring

has_moreboolean